Calls
Create an IVR flow
Creates a new IVR flow for a channel. The flow is saved as a v2 graph.
POST
/
v1
/
channels
/
{channelID}
/
ivr-flows
Create an IVR flow
curl --request POST \
--url https://api.wazapin.com/v1/channels/{channelID}/ivr-flows \
--header 'Content-Type: application/json' \
--data '
{
"graph": {},
"name": "<string>",
"description": "<string>",
"is_call_start": true,
"is_outgoing_end": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
graph: {},
name: '<string>',
description: '<string>',
is_call_start: true,
is_outgoing_end: true
})
};
fetch('https://api.wazapin.com/v1/channels/{channelID}/ivr-flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/channels/{channelID}/ivr-flows"
payload = {
"graph": {},
"name": "<string>",
"description": "<string>",
"is_call_start": True,
"is_outgoing_end": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"description": "<string>",
"graph": {},
"id": "<string>",
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Channel ID
Body
application/json
⌘I
Create an IVR flow
curl --request POST \
--url https://api.wazapin.com/v1/channels/{channelID}/ivr-flows \
--header 'Content-Type: application/json' \
--data '
{
"graph": {},
"name": "<string>",
"description": "<string>",
"is_call_start": true,
"is_outgoing_end": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
graph: {},
name: '<string>',
description: '<string>',
is_call_start: true,
is_outgoing_end: true
})
};
fetch('https://api.wazapin.com/v1/channels/{channelID}/ivr-flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/channels/{channelID}/ivr-flows"
payload = {
"graph": {},
"name": "<string>",
"description": "<string>",
"is_call_start": True,
"is_outgoing_end": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"description": "<string>",
"graph": {},
"id": "<string>",
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}